# 前端项目自动化部署脚本

## Shell 脚本

1.部署：在本机上执行`deploy.sh`，开始打包前端项目，然后将前端构建产物上传到服务器上，解压到前端项目运行目录下。

脚本说明：构建->归档->上传->解压->存档（可选）

2.还原：在服务器上执行`restore.sh`，进入归档目录（archive）下，找到需要的前端构建产物复制到前端项目运行目录下，直接覆盖原有文件。

## 前端构建产物

构建产物分为两部分：HTML 文件和静态资源（ JavaScript、CSS、图片等）。

### restore.sh

```bash
#!/bin/bash
cd /data/flashdeliver
\cp -rf -p archive/202408301233/* ./
```
