# 微信小程序

## 微信小程序的缓存

同一个小程序的开发版、体验版、线上版的缓存是共用的，你需要同时删除这三个版本的小程序，缓存才会被删除。
[最近开发小程序,开发版/体验版/线上版会混淆是什么问题?](https://developers.weixin.qq.com/community/develop/doc/000e6c812c8da8cc4889f665856800)

## 技术选型：关于小程序webview中内嵌H5的重要提示


1.小程序中的webview中的H5 ，需要添加web-view可信域名，需要在对应的网页的部署根目录中添加相应校验文件，如果对接的是第三方无法添加校验文件的，则无法打开。

2.小程序中的webview如需使用微信相关能力，须配置jssdk，须提供微信公众号账号主体，并按文档进行正确的页面授权和配置（需后端配合）。

3.小程序中的webview有较强的缓存（社区相关问题较多），需要用户手动清除通用存储并删除小程序才可以，如需H5每次部署后，不再有缓存，可寻找后端修改Nginx配置为无缓存

4.小程序中的webview中无论使用原生input拍照或jssdk提供的拍照能力，当IOS内存不足总会出现H5重新加载的情况，当前无解决方案（社区相关问题较多）。