# 收银台

> 收银台地址 `/super_cloud/wx/entity_shop/#/cashier/payment`

## 收银台页面

```
# 美团
https://wx.palmnest.com/super_cloud/wx/entity_shop/?serviceCode=meituan#/cashier/payment
```

## 小程序添加业务域名

```
商企通入口域名：
m-sqt.meituan.com
商企通外卖域名：
sqt.meituan.com
openH5域名：
h5.waimai.meituan.com
收银台域名：
mpay.meituan.com
美团地图域名：
m-map.meituan.com
```

## 相关资料

```
基础概念：https://h5.dianping.com/app/bep-docs/open-platform-doc/guide/basic_concept.html
第三方收银台对接方案：https://h5.dianping.com/app/bep-docs/open-platform-doc/guide/third_party_register.html
第三方收银台对接说明：https://h5.dianping.com/app/bep-docs/open-platform-doc/trade/paygate/standard_third_cashier.html
订单对接流程：https://h5.dianping.com/app/bep-docs/open-platform-doc/order/order_process.html
具体对接接口：
（1）H5免登：https://h5.dianping.com/app/bep-docs/open-platform-doc/login/login_free.html
（2）下单接口：https://h5.dianping.com/app/bep-docs/open-platform-doc/trade/paygate/standard_third_create_order.html#_1-%E6%A6%82%E8%BF%B0
（3）支付成功通知接口：https://h5.dianping.com/app/bep-docs/open-platform-doc/trade/paygate/standard_third_pay_callback.html
（4）支付状态查询接口：https://h5.dianping.com/app/bep-docs/open-platform-doc/trade/paygate/standard_third_pay_query.html
（5）支付关单接口：https://h5.dianping.com/app/bep-docs/open-platform-doc/trade/paygate/standard_third_close_pay.html
（6）退款接口：https://h5.dianping.com/app/bep-docs/open-platform-doc/trade/paygate/standard_third_refund.html
（7）订单列表：https://h5.dianping.com/app/bep-docs/open-platform-doc/order/order_list_query.html
（8）订单详情：https://h5.dianping.com/app/bep-docs/open-platform-doc/order/order_detail_query.html
```
