# 前端定制

> 一些前端定制开发内容。

## 说明

- 小程序自定义页面（JSON 配置）
- 云店楼闪送定制开发
- 动态主题
- 静态资源

## 静态资源

### 文件存储-部署路径

[logo_gy906155fh.png](https://superdesk.avic-s.com/super_cloud/static/file/202405/logo_gy906155fh.png)

```bash
# 部署路径
/data/wwwroot/default/super_cloud/static/file/
# 部署路径-示例
/data/wwwroot/default/super_cloud/static/file/202405/xx.png
/data/wwwroot/default/super_cloud/static/file/202405/foo.html
```

### 项目定制配置

》项目配置静态资源存储（例如前端接口 json，图片）等

```bash
# `pid/orgId`路径规则
/super_cloud/pcm/project_config/${pid}/index.json
/super_cloud/pcm/project_config/${pid}/${orgId}/index.json
例如: /super_cloud/pcm/project_config/615/index.json

# `orgId`直接使用项目ID
/super_cloud/pcm/project_config//${orgId}/index.json
# 例如：中电物业-电子科技大厦
https://superdesk.avic-s.com/super_cloud/pcm/project_config//1283/index.json?timestamp=1691377974412

# 前端项目服务-部署路径
/super_cloud/pcm/project_config/${前端项目名}
例如楼闪送: /super_cloud/pcm/project_config/flashdeliver
例如超级云卡小程序: /super_cloud/pcm/project_config/cloud_card_uni

```
