# 楼闪送

> 即云店下单，商城服务站

## git 仓库

- vue-wechat-addons-flashdeliver
- sass 版本 【分支: master】
- 珠江啤酒小卖部【分支: zhupi】
- 广电金融中心【分支: guangdian】
- 代客下单【分支: app_place_orders】

## 说明

- 接手代码
- 广电，超级前台公用一套代码 sass 版本
- [接口文档](http://xiaoyaoji.superdesk.cn/plugins_doc/doc/1vodeUN3Dt)

## 部署路径

```
# 微信端
/super_cloud/wx/flashdeliver
```

## 开发

```
# 定制需求抬头
定制需求：北大项目地址改成床号显示
定制需求：富德生命保险大厦项目隐藏订餐提醒
定制需求：长沙华融湘江银行项目隐藏库存显示
```

## 业务类型

### 【模块】友朋（自取柜）

```
# 服务之窗微信端 - 服务 - 入口

/super_cloud/wx/flashdeliver/?module=youpengGood

```

### 【区块】大牌点餐

海威代点那 5 个

```
# 大牌点餐入口 url
//wx.palmnest.com/super_cloud/wx/flashdeliver/#/brandOrder
```

#### 运营配置

- PC 后台-组织架构-项目信息配置-云卡配置-配置大牌点餐显示项
- 前端 json 配置对应品牌链接参数，例如 `brand=nayuki&shareCode=1285amn8D8`

### 【区块】预订服务

包含预约服务、预定商品服务。

```
# 本地服务入口 url
//wx.palmnest.com/super_cloud/wx/flashdeliver/#/reserveService
```

### 【区块】本地服务

归类云店所有本地服务的商户，包含楼内、周边商户，包含在线订餐、实时达、周边商户、大牌点餐、预约服务、预定商品等服务。

```
# 本地服务入口 url
//wx.palmnest.com/super_cloud/wx/flashdeliver/#/localService
```

### 【区块】实时达

仅包含有送货上门服务的商户

```
# 实时达入口 url
//wx.palmnest.com/super_cloud/wx/flashdeliver/#/deliveryService
```

### 【区块】叫水码

```

# 说明

![生成叫水码](./static/2021-05-27_14-52-16)
[快速链接](http://wx.palmnest.com/super_cloud/api/wechat/q/r?p=3&p1=615&p2=185&p3=%23%2Fjiaoshuima%3FvirtId%3D2500&_s=0)
[最终地址](http://wx.palmnest.com/super_cloud/wx/flashdeliver/?from=2&searchOrgs=615-616-2826&openId=o9oSq06JGLNbtqgdzVxIkzBxXBpk&developId=gh_bb8ab88fc77a&state=56&orgId=615&userId=55751&userToken=cf96aec5c51729879e975cfc720b7b65&v=1622098543377#/jiaoshuima?virtId=2500)
http://wx.palmnest.com/super_cloud/wx/flashdeliver/?from=2&searchOrgs=615-616-2826&openId=o9oSq06JGLNbtqgdzVxIkzBxXBpk&developId=gh_bb8ab88fc77a&state=56&orgId=615&userId=55990&userToken=07fa71353bc8e2898031a24b550cc47d&v=1636703840662#/jiaoshuima?virtId=615_6537

# 访问路径

服务之窗(快速入口)首页 -> 找到楼闪送服务入口 -> 跳转叫水码页面

# 链接生成规则

修改页面路径 hash 指向叫水码页面 #/jiaoshuima?virtId=企业 Id
//wx.palmnest.com/super_cloud/wx/flashdeliver/#/jiaoshuima?virtId=企业 Id
//wx.palmnest.com/super_cloud/wx/flashdeliver/#/jiaoshuima?virtId=2500

```

#### 友宝智能柜说明

友宝订单（友宝售卖机 & 友宝智能柜）
入口：服务之窗微信端-我的-友宝订单

```

# 在 url 上追加参数 ?module=youbaoGood&qrString=友宝商品二维码内容（截取部分）

/super_cloud/wx/flashdeliver/?module=youbaoGood&qrString=c99901057_1_1

# 扫码错误页面

https://wx.palmnest.com/super_cloud/error/youbaoGood/error_scan.html

# 超级云卡 --> 扫一扫 --> 去付款（友宝商品下单页面）

http://wx.palmnest.com/super_cloud/wx/flashdeliver/?module=youbaoGood&qrString=c99901057_1_1#/orderConfirgm
示例
http://wx.palmnest.com/super_cloud/wx/flashdeliver/?openId=o9oSq06JGLNbtqgdzVxIkzBxXBpk&state=56&orgId=2855&userToken=ffff09e93ab0ac7525acba298096bb46&module=youbaoGood&qrString=c99901057_1_1&_v=202203181555#/orderConfirm

# 服务之窗微信端 - 我的页面 - 售货机订单入口

http://wx.palmnest.com/super_cloud/wx/flashdeliver/?module=youbaoGood#/tradeList

# 出货结果

http://wx.palmnest.com/super_cloud/wx/flashdeliver/#/payResult?modelCode=THIRD_BALANCE&code=SUCCESS&orderNo=89ffac37b80c4a0e9c3d03aca0eeedd1

# 友宝商品二维码内容

[测试] https://wx.palmnest.com/super_cloud/api/wechat/q/ybp/c99901057_1_1
[正式] https://superdesk.avic-s.com/super_cloud/api/wechat/q/ybp/c99901057_1_1

```

### 【模块】星巴克代点

```

# 在 url 上追加参数 ?module=starbucks&saleId=商户 ID

/super_cloud/wx/flashdeliver/?module=starbucks&saleId=173

```

参照星巴克演示链接：
https://h5.sumzc.com/starbucks/index.php?uidkey=cbN3oicx&openid=text

### 【模块】预约洗车

```

# 多商户（默认） 在 url 上追加参数 ?module=appointmentWashcar

//wx.palmnest.com/super_cloud/wx/flashdeliver/?module=appointmentWashcar

# 单商户 在 url 上追加参数 ?module=canteenReserve#/productList?saleId=商户 ID

//wx.palmnest.com/super_cloud/wx/flashdeliver/?module=appointmentWashcar#/productList?saleId=179

```

### 【模块】餐厅预订

```

# 多商户（默认） 在 url 上追加参数 ?module=canteenReserve

//wx.palmnest.com/super_cloud/wx/flashdeliver/?module=canteenReserve

# 单商户 在 url 上追加参数 ?module=canteenReserve#/productList?saleId=商户 ID

//wx.palmnest.com/super_cloud/wx/flashdeliver/?module=canteenReserve#/productList?saleId=179

# 前端定制(paasTpId=2) 在 url 上追加参数 &paasTpId=2

//wx.palmnest.com/super_cloud/wx/flashdeliver/?module=canteenReserve#/productList?saleId=179&paasTpId=2
```

### 【模块】菜品展示

```

# 多商户（默认） 在 url 上追加参数 ?module=dishesShow

//wx.palmnest.com/super_cloud/wx/flashdeliver/?module=dishesShow

# 单商户 在 url 上追加参数 ?module=dishesShow#/productList?saleId=商户 ID

//wx.palmnest.com/super_cloud/wx/flashdeliver/?module=dishesShow#/productList?saleId=179

```

### 【模块】预订商品

```

# 多商户（默认） 在 url 上追加参数 ?module=reserveGoods

//wx.palmnest.com/super_cloud/wx/flashdeliver/?module=reserveGoods

# 单商户 在 url 上追加参数 ?module=reserveGoods#/productList?saleId=商户 ID

//wx.palmnest.com/super_cloud/wx/flashdeliver/?module=reserveGoods#/productList?saleId=179

# 【定制需求-陕西移动项目美容美发】

- 产品列表页和产品详情页面定制
- //wx.palmnest.com/super_cloud/wx/flashdeliver/?module=reserveGoods_01#/productList?saleId=179

```

## 楼闪送-商户中心（merchant-centre）

```

# app webview 部署路径

/super_cloud/wx/merchantcentre

```

### 【定制需求-陕西移动项目美容美发】记录

```

v.job = v.diyColumnJson ? v.diyColumnJson["职位"] : "";
v.jieShao = v.diyColumnJson ? v.diyColumnJson["介绍"] : "";
v.userRules = v.diyColumnJson ? v.diyColumnJson["使用规则"] : "";

/super_cloud/pcm/project_config/54/746/index.json
//superdesk.avic-s.com/super_cloud/wx/flashdeliver/?module=reserveGoods#/productList?saleId=478&openId=ofoGywzC_CxBdQg1NGCrQNSq5xPU&developId=gh_09ca878d970f&state=54&orgId=746&userId=175058

```

```

```
