# 超级云卡

> 企业云卡微信小程序

## git 仓库

- cloud_card H5 版本 废弃
- cloud_card_uni 小程序版本

## 说明

- 企业云卡微信小程序
- 只开放给服务之窗白名单用户使用
- [接口文档-超级云卡](http://xiaoyaoji.superdesk.cn/plugins_doc/doc/6KGpWz2ZsQ)

## 审核发布

该小程序目前只提供给企业内部用户使用，非系统内部用户不可用。
请按照以下方式来验证：
测试账号用户名：superqyyk
测试账号密码：Super123
测试登录流程方式：首页 - 选择登录方式【手机号登录】- 切换为【密码登录】- 输入用户名+密码 - 登录成功

## 部署路径

```
# 项目静态资源
/super_cloud/pcm/project_config/cloud_card_uni
```

## 开发调试

```js
//卡状态 未绑卡 0 正常 1 已挂失 2 已到期 3
// 服务链接-小程序地址
// "jumpAddress": "gh_d2a489f9ef8d;wxc80da22c408c9a85;pages/mail/mail/index?orgId=xx",
```

### 模拟微信网页跳转云卡小程序

```json
"condition": {
  "miniprogram": {
    "list": [
      {
        "name": "",
        "pathName": "pages/home/index",
        "query": "orgId=615&userToken=f91e8f3a139c81a04ffb7c57ee3c37bf",
        "launchMode": "default",
        "scene": null
      }
    ]
  }
},
```

## 扫描用户云卡二维码发起收款，订单结果查询 `/api/wechat/front/cloud_card/getPayResult`

```
# 成功订单
{
    "code": 200,
    "msg": "成功",
    "data": {
        "payNumber": "SK20220825193723833_8695",
        "realPrice": "2.00",
        "discountDesc": "",
        "userId": 56836,
        "status": 200
    }
}

# 失败订单
{
    "code": 200,
    "msg": "成功",
    "data": {
        "payNumber": "SK20220825193723833_8695",
        "realPrice": "2.00",
        "discountDesc": "",
        "userId": 56836,
        "status": 500
    }
}
```
