# 服务之窗小程序开发说明

## git 仓库

- superdesk-service-routine

## 说明

- 微信小程序

## 运营人员配置

### 配置小程序/公众号信息

页面路径：服务之窗管理后台-设置中心-微信公众号管理-新增小程序/公众号
添加小程序/公众号信息：
![alt text](image.png)

## 开发人员配置

> 小程序后台-开发-开发设置

### 配置服务器域名

```
生产：https://superdesk.avic-s.com
测试：https://wx.palmnest.com
```

### 配置业务域名

```
# 校验文件放置目录（测试环境放在 138 服务器上）
/data/laimengfile/

superdesk.avic-s.com 服务之窗生产
wx.palmnest.com  服务之窗测试
fm.superdesk.cn 福利商城
wj.superdesk.cn 问卷调查

大牌+蛋糕在传媒通目前不能打开（需要将校验文件发给供应商）
hw.jfshou.cn 大牌点餐（海威特权）
www.dangaoss.com 蛋糕
qz-m.superdesk.cn 千猪电影票
qz-kf.superdesk.cn 千猪客服
phone580.com 蜂助手
```

### 扫普通链接二维码打开小程序（可选）

有朋自取柜业务会用到
商户通用收款码小程序扫码打开会用到

### 管理-成员管理

```
zswh2012, stamina554035, funme18, Mgeorge, ceoray
```

## 提交审核

### 版本描述

版本迭代，功能更新

### 测试备注(选填)

请按照以下方式来验证：
测试账号用户名：supertest
测试账号密码：Super123
测试登录流程方式：首页 - 选择登录方式【手机号登录】- 切换为【密码登录】- 输入用户名+密码 - 登录成功

### 用户隐私保护指引设置

```
实现登录功能，统计区分用户信息
```

## 常见问题

1. 进入首页没有服务的问题
   如果安装了广电小程序多个版本（开发版、体验版、线上版），缓存是共用的，线上和测试环境的 orgId 不一样，
   解决办法
   第一种.删掉所有版本，重新进
   第二种.进入个人中心 ->重新选择项目
