# 使用 Chrome 调试安卓端微信网页

> 该方案适用于微信小程序内 web-view，微信公众号，微信内打开的 url 链接

## 安卓端微信版本 **8.0.19** 及以上版本

> 安卓端微信版本从 **8.0.19** 开始，内置浏览器内核从 x5 换成了 xweb，原来使用的 vConsole 无法使用了

步骤

1. 手机用 usb 连接至电脑
2. 手机微信内点击http://debugxweb.qq.com/?inspector=true（只要跳转过微信首页就是开启了调试）
3. 微信内打开所需调试网址
4. chrome 浏览器打开 chrome://inspect/#devices 真机调试（不用 fq），会看到 com.tencent.mm 下是我们打开的网址
5. 在点击 chrome 里的 inspect 直接调试

## 相关链接

[微信 x5 内核调试页面](http://debugx5.qq.com/)
[微信升级后，xweb 内核下如何进行网页调试呢？](https://developers.weixin.qq.com/community/develop/doc/00086ef5e2ceb0e167ade728351c00)
[Chrome 远程调试 Android 设备](https://developer.chrome.com/docs/devtools/remote-debugging/)
