# vue-element-admin 项目迁移到 Rsbuild

## 之前

NodeJs 版本: nodejs 14.x
打包工具: webpack 4.16.5
Dev Time: 15~20s
Build Time: 45~60s
Hmr Time: 1~2s

## 之后

NodeJs 版本: nodejs 18.x
打包工具: rsbuild 1.x
dev Time: 1s+s
Build Time: 8+s

## 迁移记录

```sh
# webpack -> rsbuild
npm remove webpack webpack-cli webpack-dev-server
npm remove webpack-bundle-analyzer
npm remove webpack-merge
npm remove html-webpack-plugin
npm add @rsbuild/core -D

# vue
"vue": "2.5.17", -> "vue": "^2.5.17",
npm remove vue-loader
npm remove vue-style-loader vue-template-compiler
npm add @rsbuild/plugin-vue2 -D
# 可选
npm add @rsbuild/plugin-vue2-jsx -D
npm add @rsbuild/plugin-babel -D

# sass
npm remove sass-loader node-sass
npm add @rsbuild/plugin-sass -D
```
