# 微信 h5 支付

## 业务流程

业务流程路径：云店下单-云店收银台-微信 h5 支付-完成支付-跳转页面

## 开发

```
# 支付完成页面-路径
https://wx.palmnest.com/super_cloud/wx/wxpay/h5/redirect_result.html?orderNo={orderNo}

# 支付完成页面-示例-测试环境
https://wx.palmnest.com/super_cloud/wx/wxpay/h5/redirect_result.html?orderNo=K231229153743077

# 部署页面到服务器
把`src/h5`内容复制到`/data/wwwroot/default/super_cloud/wx/wxpay`下
```

## 相关

[微信 h5 支付其他常见错误](https://pay.weixin.qq.com/wiki/doc/api/H5.php?chapter=15_4)
[](https://www.cnblogs.com/youyoui/p/8118896.html)

## 海宁大潮 APPUA

```js
const isInHnApp = /xsb_hn/.test(ua); // 是否海宁大潮APP内打开
```
