## XXXXXXXXXXX

```
# 服务器目录
/super_cloud/pcm/shortcut

# 访问指定服务
orgId=615&serviceId=185 // 楼闪送服务

# 访问指定服务页面（参数需要encodeURIComponent）即将废弃
orgId=615&serviceId=185&servicePath=/jiaoshuima?virtId=4818 // 访问楼闪送叫水码
orgId=615&serviceId=185&servicePath=/productList?bigCategorySaleId=43 // 访问楼闪送商户产品页面

# 生成脚本
function createLink() {
  return [
    {
      key: "orgId",
      value: "615",
    },
    {
      key: "serviceId",
      value: "185",
    },
    {
      key: "servicePath",
      value: "",
    },
  ]
    .reduce((acc, cur) => {
      cur.value && acc.push(`${cur.key}=${encodeURIComponent(cur.value)}`);
      return acc;
    }, [])
    .join("&");
}

console.log(createLink());
# 测试链接(需要生成普通二维码后，微信扫码访问)
https://wx.palmnest.com/super_cloud/pcm/shortcut/
https://wx.palmnest.com/super_cloud/pcm/shortcut/?orgId=615
https://wx.palmnest.com/super_cloud/pcm/shortcut/?orgId=615&serviceId=185
https://wx.palmnest.com/super_cloud/pcm/shortcut/?orgId=615&serviceId=185&servicePath=/productList?bigCategorySaleId=43
https://wx.palmnest.com/super_cloud/pcm/shortcut/?orgId=615&serviceId=185&servicePath=/productList?virtId=4818
# 测试链接(需要生成普通二维码后，微信扫码访问)正式环境
https://superdesk.avic-s.com/super_cloud/pcm/shortcut/?orgId=615&serviceId=211
https://superdesk.avic-s.com/super_cloud/pcm/shortcut/?orgId=615&serviceId=211&servicePath=/jiaoshuima?virtId=615_636

# 模拟进入场景
{
  "name": "快速访问",
  "pathName": "pages/home/index",
  "query": "q=https%3A%2F%2Fsuperdesk.avic-s.com%2Fsuper_cloud%2Fpcm%2Fshortcut%2F%3ForgId%3D615%26serviceId%3D211%26servicePath%3D%2Fjiaoshuima%3FvirtId%3D615_636&scancode_time=1637551618",
  "scene": 1011
}
···
```


## 测试链接

```

wx.palmnest.com/super_cloud/pcm/shortcut/service_routine_uni/
wx.palmnest.com/super_cloud/pcm/shortcut/service_routine_uni/?p1=615
wx.palmnest.com/super_cloud/pcm/shortcut/service_routine_uni/?p1=615&p2=329
wx.palmnest.com/super_cloud/pcm/shortcut/service_routine_uni/?p1=615&p2=329&extParam=deviceNo%3D6426a47c41d6370012d2332c

```