# 动态菜单记录

## 注意事项

- 启用新菜单，历史数据的角色菜单配置是否会有遗漏
- 启用新菜单，历史【隐藏】页面菜单需要勾选，否则出不来
- 检查会议室是否遗漏 概览视图菜单
- 旧会议室菜单 废弃
## 菜单信息配置页面

合并最新代码记录 最后一条【发版正式注释平台概况，业务概况】
[super_service](InnerLink:/super_service/)
[super_cloud](InnerLink:/super_cloud/)
[菜单信息配置](http://localhost:9527/#/platform/menu/index)

## 菜单列表

- 系统监控
  - 操作日志
  - 模块列表
- Kafka & Schedule
  - kafka 监控
  - 定时任务管理
- 基础设置？？菜单权限混乱
  - 辅助功能
  - 提示音频管理
  - 数据字典配置
  - 微信模版配置（内嵌外链）
  - 邮箱配置（内嵌外链）
  - 应用项目配置管理
  - 短信账号配置
  - 商圈 banner 管理（内嵌外链）
  - 历史短信查询
  - 应用管理
  - 接口管理
- 设置中心？？有重名，菜单权限混乱
  - 微信公众号管理
  - 服务信息管理
  - 模块菜单配置（内嵌外链）
  - 服务权限配置
  - 项目常用选项配置
- 系统管理？？有重名，菜单权限混乱
  - 菜单信息配置
  - 管理用户配置
  - 系统角色配置
  - 通用角色配置
  - 蓝本角色配置
- 组织架构 ？？有重名，菜单权限混乱
  - 运营中心信息配置
  - 运营中心服务配置
  - 运营中心部门信息配置 ？？
  - 项目信息配置
  - 项目服务配置
  - 空间信息配置（内嵌外链）
  - 部门信息管理（内嵌外链）
  - 企业账号配置管理（内嵌外链） ？？
  - 企业人员信息管理（内嵌外链）
  - 企业类型配置（内嵌外链）
  - 员工身份类型管理（内嵌外链）
- 运营中心
  - 集团关联管理
  - 运营商信息配置
  - 运营权限管理
  - 渠道关联管理
  - 统一订单（前端写死外链）
- 用户管理 ？？ 菜单结构权限无法对齐
  - 用户运营
  - 历史消息 ？？
  - 用户信息管理
  - 新用户信息管理
  - 身份类型配置
  - 用户批量充值
  - 住户信息管理
  - 住户认证审核
  - 发放福利
  - 实体卡记录 ？？
- 空间管理
  - 楼栋信息管理
  - 空间信息配置
  - 空气检测配置
  - 实时厕位配置
  - 含氧量设备配置
- 企业管理 ？？有重名目录
  - 企业信息配置
  - 部门信息配置
  - 企业账号配置
  - 企业账户管理
  - 企业充值流水
  - 企业充值申请
  - 企业类型管理
  - 企业授信管理
  - 授信账户流水
  - 入驻资料配置（内嵌外链）？？ 菜单结构权限不在一块
  - 入驻申请管理（内嵌外链）？？ 菜单结构权限不在一块
  - 迁出资料配置（内嵌外链）？？ 菜单结构权限不在一块
  - 迁出申请管理（内嵌外链）？？ 菜单结构权限不在一块
- 表单管理
  - 项目表单（内嵌外链）
  - 模板管理（内嵌外链）
  - 流程中心（内嵌外链）
  - 大厦接待（内嵌外链）
  - 门禁申请（内嵌外链）
  - 名片制作（内嵌外链）
  - 工牌制作（内嵌外链）
  - 铭牌制作（内嵌外链）
  - 工号牌制作（内嵌外链）
  - 报销单申请（内嵌外链）
  - 车位申请（内嵌外链）
  - 门禁权限（内嵌外链）
- 便民服务
  - 便民服务（内嵌外链）
- 停车场服务
  - 服务配置
- 会务接待
  - 会务管理
  - 会务管理-详情（隐藏）
  - 企业资料管理
- 商户管理（不确定？？，重建）
  - 钥匙柜管理
  - 打印机管理
  - 商户信息管理
  - 收款单管理
  - 服务人员管理
  - 商户账户管理（内嵌外链）
  - 商户账户统计（内嵌外链）
  - 收款设备管理（内嵌外链）
  - 收款订单管理（内嵌外链）
  - 离线收款订单（内嵌外链）
  - 发卡设备配置（内嵌外链）
- 楼闪送
  - 叫水码管理
  - 叫水码管理-编辑（隐藏）
  - 信息库
  - 信息库-编辑（隐藏）
  - 菜单管理
  - 商品管理
  - 商品管理-编辑（隐藏）
  - 商品管理-批量审核（隐藏）
  - 商户分类管理
  - 商户分类管理-编辑（隐藏）
  - 商品分类管理
  - 订单管理
  - 回收管理
  - 价套管理
  - 配送员统计
  - 商户统计
  - 项目销售统计
- 数据统计（楼闪送的数据统计）
  - 项目汇总
  - 业务统计
  - 目标完成
  - 业务分析
- 统计数据？？核对
  - 平台概况
  - 业务概况
  - 用户订餐统计
  - 餐卡流水统计
  - 数据查询
  - 操作记录查询
  - 交易流水管理
- 通行管理
  - 访客通行（内嵌外链）
  - 设备管理（内嵌外链）
  - 通行数据分析
  - 通行记录（内嵌外链）
  - 通行权限（内嵌外链）
  - 员工通行（内嵌外链）
- 巡检
  - 巡检（前端写死外链）
- APP 版本管理
  - APP 版本管理
- 会议室
  - 会议室管理
  - 服务管理
  - 订单管理
  - 会服人员管理
  - 统计数据
- 投诉建议
  - 信息管理
  - 基础配置
- 功能服务管理
  - 功能服务中心
  - 我的功能服务
- 智能通行
  - 智能通行（前端写死外链）
- 活动预约
  - 活动信息管理
  - 预约申请管理
- 订餐用户管理（不确定？？，重建）
  - 用户信息管理（内嵌外链）
  - 身份类型配置（内嵌外链）
  - 用户批量充值（内嵌外链）
  - 卡类型配置（内嵌外链）
- 订餐-取餐（不确定？？，重建）
  - 订餐配置（内嵌外链）
  - 餐品管理（内嵌外链）
  - 餐线管理（内嵌外链）
  - 订单管理（内嵌外链）
- 数据统计（不确定？？，重建）
  - 用户订餐统计（内嵌外链）
  - 餐卡流水统计（内嵌外链）
  - 数据查询（内嵌外链）
  - 操作记录查询（内嵌外链）
- 消费账单
  - 模板配置（内嵌外链）
  - 账单推送（内嵌外链）
  - 推送历史（内嵌外链）
- 公告资讯
  - 发布公告消息（内嵌外链）
  - 公告消息管理（内嵌外链）
- 失物招领
  - 失物招领（内嵌外链）
- 工程维修
  - 发起维修（内嵌外链）
  - 评价管理（内嵌外链）
  - 工单管理（内嵌外链）
  - 企业工单统计
  - 维修类型管理（内嵌外链）
  - 看板
  - 状态统计
- 电子放行条
  - 放行申请管理
  - 放行历史（内嵌外链）
  - 放行审批（内嵌外链）
- 洗车管理
  - 洗车项目（内嵌外链）
- 宿舍管理
  - 条约配置（内嵌外链）
  - 宿舍信息管理（内嵌外链）
  - 退宿审核管理（内嵌外链）
- 订餐-配送
  - 餐品管理（内嵌外链）
  - 订单管理（内嵌外链）
  - 数据统计（内嵌外链）
  - 订餐人员管理（内嵌外链）
- 空调加时管理
  - 空调空间数据
  - 使用规则设置（内嵌外链）
  - 空调加时管理（内嵌外链）
  - 空调加时报表（内嵌外链）
- 小邮局
  - 小邮局（前端写死外链）
- 会议室（废弃）
  - 会议室（前端写死外链）
- 问卷调查
  - 问卷发布管理
  - 问卷管理（前端写死外链）
- 投诉表扬
  - 投诉表扬（前端写死外链）
- 装修管理
  - 装修信息配置（内嵌外链）
  - 装修申请管理（内嵌外链）
- 报修管理
  - 报修订单详情（内嵌外链）
- 企业饭卡
  - 饭卡管理（内嵌外链）
  - 饭卡配置（内嵌外链）
- 电子通行证
  - 申请管理（内嵌外链）
  - 通行统计（内嵌外链）
  - 通行记录查询（内嵌外链）
