## git 仓库

- [统一订单前端页面](https://gogs.superdesk.cn/superdesk_team_mall/superdesk_uniorder_ui.git)
- jifen2.2 线上分支

## 说明

- 参与部分工作，协作开发

### 超级前台

[统一订单管理系统 正式环境](https://order.avic-s.com/)
[统一订单管理系统 测试环境](https://test.uniorder.avic-s.com/)

### 侨城汇

[统一订单管理系统 正式环境](https://uniorder.octlife.cn/)
[统一订单管理系统 测试环境](https://ordertest.octlife.cn/)

## 部署

```
# 侨城汇测试服务器地址
root@120.77.47.114
octlife@20210326

# 侨城汇测试服务器-前端页面部署目录
/data/wwwroot/ordertest.octlife.cn/

# 侨城汇汇正式服务器地址
root@119.23.213.8
@octlife123456

# 侨城汇汇正式服务器-前端页面部署目录
/data/wwwroot/uniorder.octlife.cn/

```

## 开发调试

[接口文档 开发环境](http://192.168.6.223:8089/web/doc.html#/)
[umy-ui 库中的 table 表格组件,它不造轮子。它改造了 element-ui 等等库的表格组件。](http://www.umyui.com/umycomponent/intro/)

```
# 超级前台接口文档地址
http
--- 超级前台 统一订单 开发环境
http://192.168.6.223:8089/web
--- 超级前台 统一订单 测试环境
http://test.api.uniorder.avic-s.com/web
--- 超级前台 统一订单 生产环境
https://order.api.avic-s.com/web


# 节流点击 { trailing: false }
    onOpDialogConfirm: _.throttle(function () {
      console.log("onOpDialogConfirm", this.opCurrent.title);
      const params = {
        id: this.opCurrent.id,
        sysQuartzScheduleTaskStatementOfAccountJdId: this.opCurrent.id,
      };

      this[this.opCurrent.func](params);
    }, 5000,{ trailing: false }),
```

## 账号

开发环境 huaqiaocheng 123456
测试环境 Joeshu 123456mm
正式环境 dsdp 123456

## 构建相关

- 已完成 统一使用 npm（旧） 管理依赖，避免依锁定版本不一致
- 已完成 升级 vueCli 方式编译打包，旧打包太慢

## 支撑“供应商结算 2.0\_侨城汇”需求开发

[详细需求地址：](https://docs.qq.com/doc/DYU5SaFR4QVZTZHNO)

## 支撑“积分结算 v2.1\_侨城汇”需求开发

[详细需求地址：](https://docs.qq.com/doc/DYU9vSEx2Tmh2TmxS)

## 支撑“积分结算 v2.2(接入纸质专用发票及优化)版本”需求开发

[积分结算 v2.2 侨城汇结算中心详细需求](https://www.tapd.cn/33003868/prong/stories/view/1133003868001004054?url_cache_key=from_url_iteration_list_0c6e6cd8289c81461c65aa6c148bc7b6&action_entry_type=stories)

## 支撑“集采对接 v2.3\_版本总需求”需求开发

[集采对接 v2.3\_侨城汇结算中心详细需求](https://www.tapd.cn/33003868/prong/stories/view/1133003868001004372?url_cache_key=from_url_iteration_list_cb5c6170c60ccdb4df3ffb188625b2ea&action_entry_type=stories)
